Create new template
curl --request POST \
--url https://restapi.sign.plus/v2/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://restapi.sign.plus/v2/template"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://restapi.sign.plus/v2/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"comment": "<string>",
"pages": 123,
"created_at": 123,
"updated_at": 123,
"expiration_delay": 123,
"num_recipients": 123,
"signing_steps": [
{
"recipients": [
{
"id": "<string>",
"uid": "<string>",
"name": "<string>",
"email": "<string>"
}
]
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"filename": "<string>",
"page_count": 123,
"pages": [
{
"width": 123,
"height": 123
}
]
}
],
"notification": {
"subject": "<string>",
"message": "<string>",
"reminder_interval": 123
},
"dynamic_fields": [
"<string>"
],
"attachments": {
"settings": {
"visible_to_recipients": true
},
"recipients": [
{
"recipient_id": "<string>",
"recipient_name": "<string>",
"placeholders": [
{
"recipient_id": "<string>",
"id": "<string>",
"name": "<string>",
"hint": "<string>",
"required": true,
"multiple": true,
"files": [
{
"id": "<string>",
"name": "<string>",
"size": 123,
"mimetype": "<string>"
}
]
}
]
}
]
}
}Template
Create new template
POST
/
template
Create new template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
2 - 256Pattern:
^[a-zA-Z0-9][a-zA-Z0-9 ]*[a-zA-Z0-9]$Response
200 - application/json
Envelope created successfully
Unique identifier of the template
Name of the template
Comment for the template
Total number of pages in the template
Legal level of the envelope (SES is Simple Electronic Signature, QES_EIDAS is Qualified Electronic Signature, QES_ZERTES is Qualified Electronic Signature with Zertes)
Available options:
SES, QES_EIDAS, QES_ZERTES Unix timestamp of the creation date
Unix timestamp of the last modification date
Expiration delay added to the current time when an envelope is created from this template
Number of recipients in the envelope
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of dynamic fields
Show child attributes
Show child attributes
⌘I